[Документация Yandex Cloud](../../../index.md) > [Yandex Cloud Video](../../index.md) > Справочник API > [REST (англ.)](../index.md) > [StylePreset](index.md) > Update

# Video API, REST: StylePreset.Update

Updates an existing style preset's properties and visual settings.
Only fields specified in the field_mask will be updated.

## HTTP request

```
PATCH https://video.api.yandexcloud.kz/video/v1/stylePresets/{stylePresetId}
```

## Path parameters

#|
||Field | Description ||
|| stylePresetId | **string**

Required field. ID of the style preset.

The maximum string length in characters is 50. ||
|#

## Body parameters {#yandex.cloud.video.v1.UpdateStylePresetRequest}

```json
{
  "fieldMask": "string",
  "title": "string",
  "backgroundColor": "string",
  "widgetTextColorPrimary": "string",
  "widgetTextColorSecondary": "string",
  "widgetAccentColor": "string",
  "widgetBlockGap": "string",
  "widgetBlockSeparatorColor": "string",
  "playerBorderRadius": "string",
  "playerColor": "string",
  "playlistSelectedItemBackgroundColor": "string",
  "playlistItemBorderRadius": "string",
  "playlistItemGap": "string",
  "playlistLocation": "string",
  "rightWidgets": [
    {
      // Includes only one of the fields `summarization`, `description`
      "summarization": "object",
      "description": "object"
      // end of the list of possible fields
    }
  ],
  "bottomWidgets": [
    {
      // Includes only one of the fields `summarization`, `description`
      "summarization": "object",
      "description": "object"
      // end of the list of possible fields
    }
  ]
}
```

#|
||Field | Description ||
|| fieldMask | **string** (field-mask)

Required field. A comma-separated names off ALL fields to be updated.
Only the specified fields will be changed. The others will be left untouched.
If the field is specified in `` updateMask `` and no value for that field was sent in the request,
the field's value will be reset to the default. The default value for most fields is null or 0.

If `` updateMask `` is not sent in the request, all fields' values will be updated.
Fields specified in the request will be updated to provided values.
The rest of the fields will be reset to the default. ||
|| title | **string**

Style preset title.

The maximum string length in characters is 50. ||
|| backgroundColor | **string**

Background color.

The maximum string length in characters is 50. Value must match the regular expression ` [#a-zA-Z0-9-]* `. ||
|| widgetTextColorPrimary | **string**

Widget primary text color.

The maximum string length in characters is 50. Value must match the regular expression ` [#a-zA-Z0-9-]* `. ||
|| widgetTextColorSecondary | **string**

Widget secondary text color.

The maximum string length in characters is 50. Value must match the regular expression ` [#a-zA-Z0-9-]* `. ||
|| widgetAccentColor | **string**

Widget accent color.

The maximum string length in characters is 50. Value must match the regular expression ` [#a-zA-Z0-9-]* `. ||
|| widgetBlockGap | **string** (int64)

Gap between widget blocks.

Acceptable values are 0 to 50, inclusive. ||
|| widgetBlockSeparatorColor | **string**

Line color between widget blocks.

The maximum string length in characters is 50. Value must match the regular expression ` [#a-zA-Z0-9-]* `. ||
|| playerBorderRadius | **string** (int64)

Player border radius.

The minimum value is 0. ||
|| playerColor | **string**

Player color.

The maximum string length in characters is 50. Value must match the regular expression ` [#a-zA-Z0-9]* `. ||
|| playlistSelectedItemBackgroundColor | **string**

Background color of selected video in playlist.

The maximum string length in characters is 50. Value must match the regular expression ` [#a-zA-Z0-9]* `. ||
|| playlistItemBorderRadius | **string** (int64)

Playlist item border radius.

The minimum value is 0. ||
|| playlistItemGap | **string** (int64)

Gap between videos in playlist.

Acceptable values are 0 to 50, inclusive. ||
|| playlistLocation | **enum** (WidgetLocation)

Playlist widget location.

- `RIGHT`: Position the widget to the right of the player.
- `BOTTOM`: Position the widget below the player. ||
|| rightWidgets[] | **[Widget](#yandex.cloud.video.v1.Widget)**

List of widgets to display to the right of the player. ||
|| bottomWidgets[] | **[Widget](#yandex.cloud.video.v1.Widget)**

List of widgets to display below the player. ||
|#

## Widget {#yandex.cloud.video.v1.Widget}

Represents a UI component that displays additional content or functionality.
Widgets can be positioned in different locations around the player.

#|
||Field | Description ||
|| summarization | **object**

Widget that displays video content summarization.

Includes only one of the fields `summarization`, `description`.

Specifies the type of widget to display. ||
|| description | **object**

Widget that displays detailed video description.

Includes only one of the fields `summarization`, `description`.

Specifies the type of widget to display. ||
|#

## Response {#yandex.cloud.operation.Operation}

**HTTP Code: 200 - OK**

```json
{
  "id": "string",
  "description": "string",
  "createdAt": "string",
  "createdBy": "string",
  "modifiedAt": "string",
  "done": "boolean",
  "metadata": "object",
  // Includes only one of the fields `error`, `response`
  "error": {
    "code": "integer",
    "message": "string",
    "details": [
      "object"
    ]
  },
  "response": "object"
  // end of the list of possible fields
}
```

An Operation resource. For more information, see [Operation](../../../api-design-guide/concepts/operation.md).

#|
||Field | Description ||
|| id | **string**

ID of the operation. ||
|| description | **string**

Description of the operation. 0-256 characters long. ||
|| createdAt | **string** (date-time)

Creation timestamp.

String in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. The range of possible values is from
`0001-01-01T00:00:00Z` to `9999-12-31T23:59:59.999999999Z`, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
[Protocol Buffers reference](https://developers.google.com/protocol-buffers/docs/reference/overview).
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits). ||
|| createdBy | **string**

ID of the user or service account who initiated the operation. ||
|| modifiedAt | **string** (date-time)

The time when the Operation resource was last modified.

String in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. The range of possible values is from
`0001-01-01T00:00:00Z` to `9999-12-31T23:59:59.999999999Z`, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
[Protocol Buffers reference](https://developers.google.com/protocol-buffers/docs/reference/overview).
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits). ||
|| done | **boolean**

If the value is `false`, it means the operation is still in progress.
If `true`, the operation is completed, and either `error` or `response` is available. ||
|| metadata | **object**

Service-specific metadata associated with the operation.
It typically contains the ID of the target resource that the operation is performed on.
Any method that returns a long-running operation should document the metadata type, if any. ||
|| error | **[Status](#google.rpc.Status)**

The error result of the operation in case of failure or cancellation.

Includes only one of the fields `error`, `response`.

The operation result.
If `done == false` and there was no failure detected, neither `error` nor `response` is set.
If `done == false` and there was a failure detected, `error` is set.
If `done == true`, exactly one of `error` or `response` is set. ||
|| response | **object**

The normal response of the operation in case of success.
If the original method returns no data on success, such as Delete,
the response is [google.protobuf.Empty](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.Empty).
If the original method is the standard Create/Update,
the response should be the target resource of the operation.
Any method that returns a long-running operation should document the response type, if any.

Includes only one of the fields `error`, `response`.

The operation result.
If `done == false` and there was no failure detected, neither `error` nor `response` is set.
If `done == false` and there was a failure detected, `error` is set.
If `done == true`, exactly one of `error` or `response` is set. ||
|#

## Status {#google.rpc.Status}

The error result of the operation in case of failure or cancellation.

#|
||Field | Description ||
|| code | **integer** (int32)

Error code. An enum value of [google.rpc.Code](https://github.com/googleapis/googleapis/blob/master/google/rpc/code.proto). ||
|| message | **string**

An error message. ||
|| details[] | **object**

A list of messages that carry the error details. ||
|#